Subject: Re: [Coco] cprep19a.lzh upload
From: "Stephen H. Fischer" <[email-masked]>
To: "CoCoList for Color Computer Enthusiasts" <[email-masked]>
Date: Thu, 26 May 2011 08:13:08 -0700
List-Id: CoCoList for Color Computer Enthusiasts <coco.maltedmedia.com>

Hi,

That's the simplicity I was looking for.

I now wonder how to make sure it is near the start of the binary. Part of 
Globals?
-----------------------------------------
/* Globals  */
FILE *fcb;
char ch3;
int num;

main(argc,argv)
int argc;
...
-----------------------------------------

I can confirm that C_prep19a works.
(EPS -h >>/p) on VCC
-----------------------------------------
...
_SP_     SP - superscript on
      ESC S0
_UN_     UN - unidrectional head movement
      ESC U1
_xx_     -s - output to stdout instead of /P
_yy_     -h - print usage (LONG)
_zz_     -? - print usage (SHORT)
  __DATE__ __TIME__ __FILE__
Current file name is: eps.c
Compile date is: May 26 2011
Compile time: 07:57:04

-----------------------------------------

----- Original Message ----- 
From: "Willard Goosey" <[email-masked]>
To: "CoCoList for Color Computer Enthusiasts" <[email-masked]>
Sent: Thursday, May 26, 2011 2:52 AM
Subject: Re: [Coco] cprep19a.lzh upload

> On Wed, May 25, 2011 at 09:56:53PM -0700, Stephen H. Fischer wrote:
>> Hi,
>>
>> actually I have wondering how to include it in a binary.
>
> Just like any other preprocessor constant:
>
>  char *foo=__FILE__;
>
> The optimizer isn't smart enough to delete never-refered-to
> data blocks so even if you never print it it'll still be in the binary.
>
> Or am I not understanding your question... it is 4 in the
> oh-my-god-what-are-we-doing-up-this-late-ning.  Not the best time for
> technical discussions. ;-)
>
> Willard

--
Coco mailing list
[email-masked]
http://five.pairlist.net/mailman/listinfo/coco